@import (reference) 'mixins';
@import (reference) 'settings';

.button {
  .unbuttonize();
  background-color: @button-background-color;
  border-radius: 4px;
  color: @button-text-color;
  cursor: pointer;
  display: inline-block;
  font-size: 120%;
  padding: 0.5rem 1rem;

  &:hover {
    background-color: @button-hover-background-color;
    text-decoration: none;
  }

  &:active {
    color: @button-active-text-color;
  }
}
